Skip to main content

IFSC Verification API

The following document highlights the details of the IFSC Verification API.

API Description

Objective

The IFSC Verification API checks the validity of a given IFSC (Indian Financial System Code) and retrieves detailed information about the corresponding bank and branch.

InputOutput
The IFSC code of a bankThe relevant details associated with bank branch, such as bank name, IFSC code, availability of NEFT/IMPS/RTGS/UPI services, MICR code, address, city, state, branch, IFSC subcode, and SWIFT code

API URL

https://ind-engine.thomas.hyperverge.co/v1/verifyIFSC

API Endpoint

verifyIFSC

Overview

The IFSC Verification API is RESTful and uses standard HTTP verbs and status codes. The responses are in JSON format, and you should send the request body as JSON through a POST request.

Method - POST

Authentication

You need a unique pair of application ID ( appId ) and application key ( appKey ) from HyperVerge to verify your identity for accessing the IFSC Verification API.

Headers

HeaderMandatory / OptionalDescriptionInput Format
content-type MandatoryThis parameter defines the media type for the request payloadapplication/json
appId MandatoryThe application identifier shared by HyperVerge. You can find the details in the dashboard's credentials tabThis should be a unique value
appKey MandatoryThe application key shared by HyperVerge. You can find the details in the dashboard's credentials tabThis should be a unique value
transactionIdMandatoryUnique ID for the customer journeyAny defined unique value mapped to a transaction in your business ecosystem

Inputs

The following table provides the details of the parameters required for the IFSC Verification API's request body:

ParameterMandatory / OptionalTypeDescriptionInput FormatDefault Value
ifscCodeMandatorystringThe IFSC Code to be verified. The IFSC should have 11 alphanumeric characters: first four characters represent the bank's name (alphabetic), fifth character is always zero (reserved for future use), and last six characters represent the branch code (usually numeric but can be alphabetic)11 alphanumeric characters (e.g., SBIN0001234)Not Applicable

Request

The following code snippet demonstrates a standard curl request for the IFSC Verification API:


curl --location --request POST 'https://ind-engine.thomas.hyperverge.co/v1/verifyIFSC' \
--header 'Content-Type: application/json' \
--header 'appId: <Enter_the_HyperVerge_appId>' \
--header 'appKey: <Enter_the_HyperVerge_appKey>' \
--header 'transactionId: <Enter_the_HyperVerge_transactionID>' \
--data '{
"ifscCode": "<Enter_the_valid_IFSC>"
}'

Success Response

The following code snippet demonstrates a success response from the IFSC Verification API:

{
"status": "success",
"statusCode": 200,
"result": {
"status": "Success",
"message": "Ifsc verification successful",
"bank": "<Name_of_the_Bank>",
"ifsc": "<Bank_IFSC>",
"neft": "Live",
"imps": "Live",
"rtgs": "Live",
"upi": "Live",
"micr": "<MICR_Value>",
"address": "<Branch_Address>",
"city": "<Name_of_the_City>",
"state": "<Name_of_the_State>",
"branch": "<Name_of_the_Branch>",
"ifscSubcode": "<IFSC_Subcode>",
"swiftCode": ""
},
"metaData": {
"requestId": "<Request_ID>"
}
}

Success Response Details

The following table outlines the details of the success response from the IFSC Verification API:

ParameterTypeDescription
statusstringThe status of the request
statusCodeintegerThe HTTP status code for the response
resultobjectThe JSON object containing the IFSC verification details
result.statusstringThe status of the API request
result.messagestringThe message associated with the status of the API request
result.bankstringThe name of the bank
result.ifscstringThe IFSC code of the bank branch
result.neftstringThe field has the value "Live" if the NEFT transfer mode is supported. Else, it is set to "Not Live"
result.impsstringThe field has the value "Live" if the IMPS transfer mode is supported. Else, it is set to "Not Live"
result.rtgsstringThe field has the value "Live" if the RTGS transfer mode is supported. Else, it is set to "Not Live"
result.upistringThe field has the value "Live" if the UPI transfer mode is supported. Else, it is set to "Not Live"
result.micrintegerMagnetic Ink Character Recognition is a unique nine-digit code to identify a bank and branch
result.addressstringThe complete address of the bank branch
result.citystringThe city in which the bank branch is located
result.statestringThe state in which the bank branch is located
result.branchstringThe branch of the bank
result.ifscSubcodestringThe IFSC SubCode of the bank branch
result.swiftCodestringThe SWIFT code (if any) of the bank branch
metaDataobjectThe JSON object containing request metadata
metaData.requestIdstringA unique identifier for the request

Failure Response

The following code snippet demonstrates a failure response from the IFSC Verification API when the IFSC code is not found:

{
"statusCode": 404,
"status": "failure",
"error": "IFSC Code not found"
}

Error Responses

The following are some error responses from the IFSC Verification API:

{
"message": "Input Validation Error: does not meet minimum length of 11",
"statusCode": 400,
"status": "failure"
}

Error Response Details

A failure or error response contains a failure status with a relevant status code and error message.
The following table lists all error responses:

Status CodeError MessageError DescriptionError Resolution
400Input Validation Error: does not meet minimum length of 11The IFSC code provided does not meet the minimum length requirement of 11 charactersEnsure the IFSC code is exactly 11 alphanumeric characters
400Invalid IFSC. 5th character of IFSC Code should be 0The 5th character of the IFSC Code must be a 0Verify that the 5th character of the IFSC code is 0 and provide a valid IFSC code
400Invalid IFSC CodeThe IFSC code entered is invalidVerify and provide a valid IFSC code in the correct format
401Missing/Invalid credentialsThe request is either missing the mandatory appId and appKey combination or has invalid valuesVerify and provide valid appId and appKey credentials
403Access DeniedAccess to the IFSC Verification API has been deniedContact the HyperVerge team for resolution
404IFSC Code not foundThe IFSC code does not belong to any bank branchVerify the IFSC code is correct and exists in the database
500Internal Server ErrorKindly check the request headers or contact the HyperVerge team for resolution.Check the request headers or contact the HyperVerge team for resolution
Was this helpful?
Ask AIBeta
Hi! How can I help?
Ask me anything about HyperVerge products, APIs, and SDKs.
Try asking: